VERSION 1.0 CLASS
BEGIN
  MultiUse = -1    'True
END
Attribute VB_PredeclaredId = False
Attribute VB_Creatable = True
Attribute VB_Exposed = True
Attribute VB_GlobalNameSpace = True
Attribute VB_Name = "mpxAssignment"
' MPX-Assignment.Cls
' ==================

' Assignment Class Module
' Represents a relationship between a Task and a Resource

' Copyright (c) Mindjet LLC 2002  All Rights Reserved

Option Explicit
Dim i_TaskID As Integer ' index of Task
Dim i_ResourceID As Integer ' index of Resource

Private Sub Class_Initialize()
' Initialise a new instance of a task
	Call p_AssignmentInit()
End Sub

Private Sub p_AssignmentInit()
	i_TaskID = 0
	i_ResourceID = 0
End Sub

Private Sub Class_Terminate()
' Destroy this task
	Call p_AssignmentInit()
End Sub

Property Get TaskID() As Integer
	TaskID = i_TaskID
End Property

Property Let TaskID(ByVal i_Value As Integer)
	i_TaskID = i_Value
End Property

Property Get ResourceID() As Integer
	ResourceID = i_ResourceID
End Property

Property Let ResourceID(ByVal i_Value As Integer)
	i_ResourceID = i_Value
End Property
